# vue-excel-comparison

This is a tool used to simply compare two Excel tables with the same conditions, which can be used locally after importing a project

## Project install

```
npm i vue-excel-comparison
```

## Global usage examples

```
import ExcelComparison from "vue-excel-comparison";
Vue.use(ExcelComparison);

<template>
  <div>
    <ExcelComparison />
  </div>
</template>
```

## Example of standalone use

```
<template>
  <div>
    <ExcelComparison />
  </div>
</template>

import { ExcelComparison } from "vue-excel-comparison";

export default {
  components: {
    ExcelComparison
  }
};
```

## 使用提醒

```
1.该功能主要是帮助用户将两张 excel 表的数据进行快速对比 并给出对比结果 进行导出 （未详情测试其他场景：巨量数据 请对比后自行查证
2.在对比前请自行将 excel 表(要对比的表)：如表 1、表 2 的第一列增加对比的条件 两者共有的分类值作为条件如需要查询两者表的分数一致的结果 （需要用户名+分数作为第一列的辅助项 ）完成后保存 再导入进行对比
3.点击下载参考文件 然后将表1表2拆开 分别上传两张表 点击Compare Data 即可
```
